// Checks that #[impl_trait] works with generics.

use impl_trait::impl_trait;

struct Foo<T>(T);

impl_trait! {
    impl<T> Foo<T> where T: Default {
        impl trait Default {
            fn default() -> Self {
                Self(T::default())
            }
        }
    }
}

fn main() {}
